Subject: RE: [PWE3] Re: Issues with draft-kompella-ppvpn-vpls-01.txt

From: "Hamid Ould-Brahim" <[email-masked]>
Date: Mon, 14 Apr 2003 13:37:43 -0400

Ali,

[clipped...]

> 
> That is not a good analogy. MPLS and IP are two different 
> technologies; 
> however, within the same MPLS technology having two different 
> ways of doing 
> the same thing is at best redundant and at worst useless.
> 

Maybe a good analogy (within the same MPLS technology)
is to look at the existence of multiple ways of distributing 
MPLS label that includes the use of BGP (and even RFC3031 
captured that: 

"THE ARCHITECTURE DOES NOT ASSUME THAT THERE IS ONLY A SINGLE LABEL
   DISTRIBUTION PROTOCOL.  In fact, a number of different label
   distribution protocols are being standardized.  Existing protocols
   have been extended so that label distribution can be piggybacked on
   them (see, e.g., [MPLS-BGP], [MPLS-RSVP-TUNNELS]).  New protocols
   have also been defined for the explicit purpose of distributing
   labels (see, e.g., [MPLS-LDP], [MPLS-CR-LDP].").

Although one may conclude that having multiple ways of
distributing labels can be redundant, I don't think it was useless 
(since later on such approach - of using BGP - was useful 
in rfc2547).

Hamid.

---

From: Eric Rosen <[email-masked]>
Date: Mon, 14 Apr 2003 14:05:53 -0400

Hamid> Maybe a good analogy (within the same MPLS technology) is to look at
Hamid> the existence of multiple ways of distributing MPLS label

Hamid> Although one  may conclude that having multiple  ways of distributing
Hamid> labels can be redundant, I don't think it was useless (since later on
Hamid> such approach - of using BGP - was useful in rfc2547).

Generally, we  use LDP to distribute  labels that correspond  to IGP routes,
and we use BGP to distribute  labels that correspond to BGP routes.  I guess
you could  call this "multiple ways  of distributing labels", but  I think a
better thing to call  it would be "distribute the label in  the way which is
most suited to its application".  

For a  given application, an example  of multiple ways  to distribute labels
would be RSVP-TE  and CR-LDP.  Did we need both  ways?  Apparently not.  The
argument that  CR-LDP is better because  LDP + CR-LDP =  one protocol,while
LDP + RSVP-TE  is two protocols, now just  seems quaint.  Unfortunately, bad
arguments tend to recur over and over again ;-)

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 14 Apr 2003 11:19:27 -0700

Eric,

> most suited to its application".  

We use BGP to distribute labels that correspond to the information
(e.g., routes) carried in BGP. We use RSVP to distribute labels
that correspond to the information carried in RSVP.  We use LDP
when piggybacking is not possible.

And if you insist that LDP is used to distribute labels that correspond
to IGP routes, then LDP should not be used to carry label information
across AS boundaries - this should be done with BGP.

> LDP + RSVP-TE  is two protocols, now just  seems quaint.  

This is a rather poor analogy, as in the context of VPLS we are talking
not just about multiple ways of distributing labels, but whether
one always have to have one protocol for distributing labels, and
another for auto-discovery, or one protocol for both would be enough.

> Unfortunately, bad arguments tend to recur over and over again ;-)

On that I agree with you - we just disagree on what are these bad
arguments :-)

Yakov.